#    Inside The Data Tunnel - My game for PyWeek 20.
#    Copyright (C) 2015  Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

import pygame
from config import config
from classes.Text import Text


pygame.init()


class Menu_Item( pygame.sprite.Sprite ):
	"""

	"""
	def __init__( self, _menu_item_data ):
		"""

		"""
		pygame.sprite.Sprite.__init__( self )
		
		self.text_active = Text( **_menu_item_data["active"] )
		self.text_inactive = Text( **_menu_item_data["passive"] )
		self.action = _menu_item_data["action"]
		self.index = _menu_item_data["index"]

		self.image = self.text_inactive.image
		self.rect = self.text_inactive.rect


	def update( self, _eventlist, _current_index ):
		"""

		"""
		for event in _eventlist:
			if event.type == pygame.KEYDOWN and event.key == pygame.K_RETURN \
				and _current_index == self.index:
				return True
				
		return False


	def update_status( self, _current_index ):
		"""

		"""
		if self.index == _current_index:
			self.image = self.text_active.image
			self.rect = self.text_active.rect
		else:
			self.image = self.text_inactive.image
			self.rect = self.text_inactive.rect
