#    Inside The Data Tunnel - My game for PyWeek 20.
#    Copyright (C) 2015  Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

import pygame
pygame.init()

from modules import helpers
from config import config

class Item( pygame.sprite.Sprite ):
	"""

	"""
	def __init__( self, _image, _position_center, _type, _time_to_live ):
		"""
		"""
		pygame.sprite.Sprite.__init__( self )

		self.image = helpers.load_image( _image )
		self.rect = self.image.get_rect( center = _position_center )
		self.type = _type
		self.time_to_live = _time_to_live * config.FPS
		self.time_to_live_counter = 0


	def update( self, _players, _allies_and_players, _malware ):
		"""

		"""
		if self.time_to_live_counter >= self.time_to_live:
			self.kill()

		for p in _players:
			if self.rect.colliderect( p.rect ):
				p.execute_item_action( self.type, _allies_and_players, _malware )
				self.kill()

		self.time_to_live_counter += 1

		
