#    Inside The Data Tunnel - My game for PyWeek 20.
#    Copyright (C) 2015  Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

import pygame
from config import config

pygame.init()


class Text( pygame.sprite.Sprite ):
	"""

	"""
	def __init__( self, _text, _font_size, _colour, _pos_lefttop, _underline = False ):
		"""

		"""
		pygame.sprite.Sprite.__init__( self )
		
		self.font = pygame.font.Font( config.FONT_FILE_PATH, _font_size )
		if _underline:
			self.font.set_underline( True )
		self.image = self.font.render( _text, True, _colour )
		self.rect = self.image.get_rect( topleft = _pos_lefttop )
		self.colour = _colour


	def reposition( self, _pos_lefttop ):
		"""Repositions the text.

		"""
		self.rect.left = _pos_lefttop[0]
		self.rect.top = _pos_lefttop[1]


	def change_text( self, _new_text ):
		"""Changes the text.  Keeps everything else.

		"""
		# Save the old left-top position.
		old_lefttop = ( self.rect.left, self.rect.top )
		self.image = self.font.render( _new_text, True, self.colour )
		self.rect = self.image.get_rect( topleft = old_lefttop )
