#    Inside The Data Tunnel - My game for PyWeek 20.
#    Copyright (C) 2015  Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Modules

# Third party Python modules
import pygame

# Import own modules
from modules import helpers

pygame.init()

allowed_area = pygame.Rect( 0, 59, 1024, 650 ) # For testing purposes only.


CONFIG = {
	"_image": "Micro_Robot_Computer.png",
	"_direction": 270,
	"_speed": 1,
	"_turn_speed": 5,
	"_allowed_area": allowed_area,
	"_max_hitpoints": 250,
	"_current_hitpoints": 250,
	"_projectile_speed": 10,
	"_projectile_image": "Micro_Spaceship_Computer_Projectile.png",
	"_projectile_damage": [1, 10],
	"_shooting_interval": 4,
	"_kill_score": 250,
	"_additional_dodging_amount": 15,
	"_ep_to_next_level": 10
}
